%define upstream_name    CPAN-ReleaseHistory
%define upstream_version 0.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Release iterator for CPAN::ReleaseHistory
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::DistnameInfo)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Moo)
BuildRequires: perl(MooX::Role::CachedURL)
BuildRequires: perl(Test::More)
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This module provides an iterator that can be used to look at every file
that has ever been released to CPAN, regardless of whether it is still on
CPAN.

The BackPAN index used was changed in release 0.10, which resulted in the
caching mechanism changing, so you should make sure you have at least
version 0.10, as shown in the SYNOPSIS above.

The '$release' returned by the 'next_release()' method on the iterator is
an instance of the CPAN::ReleaseHistory::Release manpage. It has five
methods:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/cpan-heavyweights
/usr/bin/cpan-release-counts
/usr/share/man/man1/cpan-heavyweights.1.xz
/usr/share/man/man1/cpan-release-counts.1.xz



%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.120.0-3.mga6
+ Revision: 1024492
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.120.0-2.mga6
+ Revision: 966182
- Mageia 6 Mass Rebuild

* Mon Mar 02 2015 shlomif <shlomif> 0.120.0-1.mga6
+ Revision: 817310
- imported package perl-CPAN-ReleaseHistory


* Mon Mar 02 2015 cpan2dist 0.12-1mga
- initial mageia release, generated with cpan2dist
